Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc
Class ServiceFactory

    java.lang.Object
      |
      +--javax.xml.rpc.ServiceFactory

Direct Known Subclasses:
  ServiceFactory

public abstract class ServiceFactory
extends java.lang.Object

The `javax.xml.rpc.ServiceFactory` is an abstract class that provides a factory for the creation of instances of the type `javax.xml.rpc.Service`. This abstract class follows the abstract static factory design pattern. This enables a J2SE based client to create a `Service instance` in a portable manner without using the constructor of the `Service` implementation class.

The ServiceFactory implementation class is set using the system property `SERVICEFACTORY_PROPERTY`.

Version:
  1.0

Field Summary
`static java.lang.String` | `SERVICEFACTORY_PROPERTY` A constant representing the property used to lookup the name of a `ServiceFactory` implementation class.

Constructor Summary
`protected` | `ServiceFactory()`

Method Summary
`abstract Service` | `createService(QName serviceName)` Create a `Service` instance.
`abstract Service` | `createService(java.net.URL wsdlDocumentLocation, QName serviceName)` Create a `Service` instance.
`static ServiceFactory` | `newInstance()` Gets an instance of the `ServiceFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICEFACTORY_PROPERTY

    public static final java.lang.String SERVICEFACTORY_PROPERTY

  A constant representing the property used to lookup the name of a `ServiceFactory` implementation class.

Constructor Detail

### ServiceFactory

    protected ServiceFactory()

Method Detail

### newInstance

    public static ServiceFactory newInstance()
                                      throws ServiceException

  Gets an instance of the `ServiceFactory`

  Only one copy of a factory exists and is returned to the application each time this method is called.

  The implementation class to be used can be overridden by setting the javax.xml.rpc.ServiceFactory system property.

  Returns:
    ServiceFactory.
  Throws:
    `ServiceException` -

### createService

    public abstract Service createService(java.net.URL wsdlDocumentLocation,
                                          QName serviceName)
                                   throws ServiceException

  Create a `Service` instance.
  Parameters:
    `wsdlDocumentLocation` - URL for the WSDL document location
    `serviceName` - QName for the service.
  Returns:
    Service.
  Throws:
    `ServiceException` - If any error in creation of the specified service

### createService

    public abstract Service createService(QName serviceName)
                                   throws ServiceException

  Create a `Service` instance.
  Parameters:
    `serviceName` - QName for the service
  Returns:
    Service.
  Throws:
    `ServiceException` - If any error in creation of the specified service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.